Version 4-5 | Output as PDF file

System requirements OXID eShop Community Edition

 

Webserver

  • Apache Version 1.3 or above
  • at least 100 MB of free webspace
  • an installed mod_rewrite module

 

MySQL

  • MySQL 5.7 - not supported yet
  • MySQL 5.6 - tested
  • MySQL 5.5 - tested and recommended
  • MySQL 5.0 - with known bugs
    Due to a bug in MySQL 5.0.36 and 5.0.37 as well as 5.0.41, the OXID eShop does not run properly with these versions.
  • SUPER privileges for the database user during the installation process

 

PHP

  • PHP 5.3.* (5.3.25 or above), PHP 5.4.*, PHP 5.5.* and PHP 5.6.*
  • Set memory_limit at least to 14 MB. We recomend a memory_limit of 30MB.
  • PHP setting "session.auto_start" in php.ini has to be set "OFF"
  • We recommend to enable file uploads in PHP
  • Activate allow_url_fopen or  fsockopen to port 80
  • Set Apache server variables REQUEST_URI or SCRIPT_URI
  • Switch off PHP4 compatibility mode. (zend.ze1_compatibility_mode = Off)
  • ini_set allowed
  • register_globals off
  • The following PHP-extensions that must be installed:
    • GD LIB Version 2.x
    • MySQL client connector for MySQL 5
    • bcmath
    • JSON
    • php-xml
    • libxml2
    • iconv-extension
    • tokenizer
    • mbstring
    • cURL

 

Overview of the possible operating conditions which are based on the following assumptions:  

  • Number of categories is 20% of the number of items, e.g. 1,000 items = 200 categories
  • The flow of visitors is distributed over more than 14 hours per day on average
  • The item number also includes possible item variants
  • Note: Reduced functionality may be experienced during some intensive activities (e.g. exporting) – this depends on your provider (keywords PHP max_execution_time and memory_limit)